@import url("https://use.typekit.net/izt5wtz.css");
@import url("https://fonts.googleapis.com/css2?family=Inter:wght@200;300;400;500;600&family=Open+Sans:wght@300;400;500;600&family=Oswald:wght@500&display=swap");

:root {
  --wreath-font: "wreath", serif;
  --wreath-weight: 700;
  --decoy-font: "decoy", serif;
  --decoy-weight: 400;
  --hoss-round: "hoss-round", sans-serif;
  --hoss-weight: 400;
  --inter-font: "Inter", "sans-serif";
}

body {
  margin: 0;
  padding: 0;
}

a {
  text-decoration: none;
}

.pausescreen {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  position: fixed;
}

.beach-background {
  width: 100%;
}

.background-overlay {
  position: absolute;
  height: 100%;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.4);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.highscore-section {
  width: 80%;
  background-color: white;
  border-radius: 30px;
  display: flex;
  flex-direction: column;
  align-items: center;
  animation: 0.5s ease-out opacitychange;
}

@keyframes opacitychange {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

@-webkit-keyframes opacitychange {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

.highscore-text {
  margin: 0;
  margin-block: 7px;
  font-family: var(--decoy-font);
  font-weight: var(--decoy-weight);
  font-size: 26px;
}

.highscore {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  width: 100%;
  margin-bottom: 7px;
}

.highscore-icon {
  height: 35px;
}

.highscore-number {
  margin: 0;
  margin-left: 10px;
  font-size: 28px;
  font-family: var(--hoss-round);
  font-weight: var(--hoss-weight);
}

.lastscore-section {
  width: 100%;
  display: flex;
  justify-content: center;
  position: relative;
  height: 119px;
  margin-top: 20px;
  animation: 0.5s ease-out opacitychange;
}

@keyframes opacitychange {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

@-webkit-keyframes opacitychange {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

.palmtrees {
  position: absolute;
  width: 80%;
  display: flex;
  gap: 116px;
  justify-content: center;
}

.lastscore {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.lastscore-text {
  font-family: var(--decoy-font);
  font-weight: var(--decoy-weight);
  margin: 0;
  color: white;
  font-size: 30px;
  margin-bottom: 10px;
}

.lastscore-number {
  font-family: var(--hoss-round);
  font-weight: var(--hoss-weight);
  margin: 0;
  color: white;
  font-size: 30px;
}

.buttons {
  margin: 0;
  padding: 0;
  list-style: none;
  margin-top: 30px;
}

.playgame-button {
  height: 70px;
  width: 350px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  background-color: #f5af18;
  border-radius: 13px;
  margin-bottom: 20px;
  animation: 0.5s ease-out opacitychange;
}

@keyframes opacitychange {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

@-webkit-keyframes opacitychange {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

.screen-button-text {
  text-decoration: none;
  color: white;
  font-family: var(--hoss-round);
  font-size: 40px;
  margin-left: 10px;
}

.screen-button-img {
  margin-right: 10px;
  height: 45px;
}

.screen-button {
  height: 70px;
  width: 350px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  background-color: #87c0be;
  border-radius: 13px;
  margin-bottom: 20px;
  animation: 0.5s ease-out opacitychange;
}

@keyframes opacitychange {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

@-webkit-keyframes opacitychange {
  0% {
    opacity: 0;
  }

  100% {
    opacity: 1;
  }
}

/* media query tablet  */
@media only screen and (max-device-width: 1024px) {
  .highscore-section {
    width: 60%;
  }

  .highscore-text {
    font-size: 40px;
  }

  .highscore-icon {
    height: 55px;
  }
  .highscore-number {
    font-size: 35px;
  }

  .lastscore-section {
    margin-top: 35px;
  }

  .palmtrees {
    gap: 174px;
  }

  .lastscore-text {
    font-size: 45px;
  }

  .lastscore-numbers {
    font-size: 45px;
  }

  .buttons {
    margin-top: 55px;
  }
}

/* media query normal phone  */
@media only screen and (max-device-width: 767px) {
  .beach-background {
    height: 100%;
  }

  .highscore-section {
    margin-top: -20px;
    width: 80%;
  }

  .lastscore-section {
    margin-top: 43px;
  }

  .highscore-text {
    font-size: 26px;
  }

  .highscore-icon {
    height: 35px;
  }
  .highscore-number {
    font-size: 28px;
  }

  .lastscore-section {
    margin-top: 35px;
  }

  .palmtrees {
    gap: 116px;
  }

  .lastscore-text {
    font-size: 30px;
  }

  .lastscore-numbers {
    font-size: 30px;
  }
  .buttons {
    margin-top: 30px;
  }
}

/* media query small phone  */
@media only screen and (max-device-width: 376px) {
  .screen-button-text {
    font-size: 30px;
  }

  .playgame-button {
    height: 57px;
    width: 290px;
  }

  .screen-button {
    height: 57px;
    width: 290px;
  }

  .highscore-section {
    margin-top: 22px;
  }

  .lastscore-section {
    margin-top: 20px;
  }

  .buttons {
    margin-top: 31px;
  }
}
